<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__syspm" kind="group">
    <compoundname>group_hal_results_syspm</compoundname>
    <title>SYSPM HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__syspm_1ga999347dc2d0663c389a381e7d2e11798" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 0))</initializer>
        <briefdescription>
<para>Incorrect argument passed into a function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="166" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="166" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga31a8120e1330b35af8d99975a6b36bed" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_INIT_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 1))</initializer>
        <briefdescription>
<para>Driver was unable to be initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="169" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="169" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1gad5eb7c83311bdc9781d8e2c192cd6d85" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_CB_REGISTER_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to register callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="172" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="172" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga562e13ca6ef5662a8c12c5533bb73deb" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_ERR_PM_PENDING</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 3))</initializer>
        <briefdescription>
<para>Power Management transition is pending, data cannot be transferred. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="175" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="175" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga1da0dd0a239743cd61288baf0fd2528d" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_ERR_NOT_SUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 4))</initializer>
        <briefdescription>
<para>Functionality not supported on the current platform. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="178" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="178" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SYSPM specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>